complexType "TermDeposit"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 19 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, startDate?, maturityDate?, (tenorName | tenorPeriod)?, principal?, fixedRate?, dayCountFraction?, features?, interest?, payment*
</...>

Content Model Elements (19):

  dayCountFraction (in termDeposit), embeddedOptionType, features (in termDeposit), fixedRate (in termDeposit), interest, maturityDate, payerAccountReference, payerPartyReference (defined in PayerReceiver.model group), payment (in termDeposit), primaryAssetClass (defined in Product.model group), | principal (in termDeposit), productId (defined in Product.model group), productType (defined in Product.model group), receiverAccountReference, receiverPartyReference, secondaryAssetClass (defined in Product.model group), startDate (in termDeposit), tenorName, tenorPeriod (defined in FxTenor.model group)

All Direct / Indirect Based Elements (1):

  termDeposit

Known Usage Locations

- As direct type of elements (1):
  termDeposit

Annotation
A class defining the content model for a term deposit product.
Type Definition Detail

Type Derivation Tree Product (extension) TermDeposit

XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="TermDeposit"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="startDate" type="xsd:date"/> <xsd:element minOccurs="0" name="maturityDate" type="xsd:date"/> <xsd:group minOccurs="0" ref="FxTenor.model"/> <xsd:element minOccurs="0" name="principal" type="PositiveMoney"/> <xsd:element minOccurs="0" name="fixedRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> <xsd:element minOccurs="0" name="features" type="TermDepositFeatures"/> <xsd:element minOccurs="0" name="interest" type="Money"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="Payment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/19)
dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

features

  Type: | TermDepositFeatures, complex content

  An optional container that holds additional features of the deposit (e.g. Dual Currency feature).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="features" type="TermDepositFeatures"/>

fixedRate

  Type: | PositiveDecimal, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="PositiveDecimal"/>

interest

  Type: | Money, complex content

  The total interest of at maturity of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interest" type="Money"/>

maturityDate

  Type: | xsd:date, predefined, simple content

  The end date of the calculation period. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maturityDate" type="xsd:date"/>

payment

  Type: | Payment, complex content

  A known payment between two parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="Payment"/>

principal

  Type: | PositiveMoney, complex content

  The principal amount of the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="principal" type="PositiveMoney"/>

startDate

  Type: | xsd:date, predefined, simple content

  The start date of the calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="startDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.